For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • PUTUpdate Shopping List
            • GETGet Shopping List ID and Name
            • POSTAdd Shopping List Items
            • PUTUpdate Shopping List Items
            • GETList Shopping List Items Extension
            • DELDelete Shopping List Item
            • DELDelete Shopping List
            • POSTDuplicate Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontShopping List

Update Shopping List Items

PUT
https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items
PUT
/api/v2/shoppinglists/items
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "shoppinglistId": "789",
> "itemId": "3245",
> "qty": "3",
> "optionList": [
> {
> "option_id": "attribute[210]",
> "option_value": "Blue"
> }
> ],
> "variantId": "452"
>}'
200example-1
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Update shopping lists items. Equivalent Storefront GraphQL API Mutation: `shoppingListsItemsUpdate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Add Shopping List Items

Next

List Shopping List Items Extension

Built with

Update shopping lists items. Equivalent Storefront GraphQL API Mutation: shoppingListsItemsUpdate. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Request

shoppinglistIdstringRequired>=1 character
Shopping list ID field
itemIdstringRequired>=1 character
Shopping list item ID field
qtystringRequired>=1 character
Quantity of product in shopping list
optionListlist of objectsRequired
Product option of shopping list item
variantIdstringRequired>=1 character
Product SKU ID
sortOrderintegerOptional
The sort order for item

Response

OK
codedouble
messagestring>=1 character
dataobject